function symbols = unique_chars( s );
% UNIQUE_CHARS  Get set of chars in a string array or cell array of strings
%
% symbols = unique_chars( string_array )

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
%   1.2  2007/09/17 13:15:44

if iscellstr(s),
    s = char(s);
end
a = unique(s(:));
symbols = reshape(a(~isspace(a)), 1, []);   % remove space and reshape

