function s = factorial_testsets(s, varargin)
% AGLSS/FACTORIAL_TESTSETS - Define factorial subsets of AGLSS test items
%
% Syntax
%   FACTORIAL_TESTSETS(aglss, {factor1 level1 level2 ...}, ...)
%   FACTORIAL_TESTSETS(aglss, {{F1 L11 ...} {F2 L21 ...}}, ...)
%
% Overloaded interface for function FACTORIAL_TESTSETS

% Copyright 2007 Todd M. Bailey
%
% This file is part of AGL StimSelect (AGLSS).
%
%     AGLSS is free software; you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation; either version 3 of the License, or
%     (at your option) any later version.
% 
%     AGLSS is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

s.test = factorial_testsets(factor(s), varargin{:});

s.items = add_item_factors(s.items, s.test.active_factors);

end
